Subject: RE: [AAA-WG]: [NSIS] I-D ACTION:draft-alfano-aaa-qosreq-00.txt

From: [email-masked]
Date: Sat, 28 Jun 2003 09:33:06 +0300

Hi Pete,

Question for you - NSIS will obviously need some AAA interaction,
not just for QoS, but for middle box traversal (note, new NSIS
charter has been announced).

It might be interesting to discuss this work in both AAA & NSIS,
but my feeling is that the AAA WG already has a lot to do.  Perhaps
you could work with Hannes to incorporate aspects of the drafts
together.  

thanks,
John

> -----Original Message-----
> From: ext Pete McCann [mailto:[email-masked]]
> Sent: 26 June, 2003 23:20
> To: [email-masked]; [email-masked]
> Subject: [AAA-WG]: [NSIS] I-D ACTION:draft-alfano-aaa-qosreq-00.txt
> 
> 
> 
> Hi,
> 
> We hope everyone who is interested in QoS/AAA has a chance to read the
> draft we have just submitted.
> 
> Our work is definitely related to the 2 drafts-tschofenig that have
> been posted on the NSIS group (apologies for not acknowledging this
> explicitly in the draft, but we found them only recently and are still
> reading them).  However, our work focuses more on the requirements for
> a AAA protocol rather than requirements for NSIS.  Also, we are trying
> to set forth in our draft what we think is the proper relationship
> between NSIS/RSVP, AAA, and call control protocols like SIP.
> 
> Please read/comment!
> 
> -Pete
> 
> [email-masked] writes:
>  > A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
>  > 
>  > 
>  > 	Title		: Requirements for a QoS AAA Protocol
>  > 	Author(s)	: F. Alfano et al.
>  > 	Filename	: draft-alfano-aaa-qosreq-00.txt
>  > 	Pages		: 16
>  > 	Date		: 2003-6-24
>  > 	
>  > This document describes requirements for a protocol that would 
>  > perform Authentication, Authorization, and Accounting for 
> Quality-of-
>  > Service reservations.  This protocol would be used by 
> elements along 
>  > the path of a given application flow to authenticate a reservation 
>  > request, ensure that the reservation is authorized, and to account 
>  > for resources used during the life of the application flow.  A QoS 
>  > AAA protocol should also support dynamic authorization of QoS as a 
>  > function of application and account state.  While we assume the 
>  > existence of some QoS reservation protocol to allow endpoints to 
>  > request QoS from network elements, complete requirements 
> for such a 
>  > protocol are outside the scope of this document and a QoS AAA 
>  > protocol could be used to support more than one kind of 
> reservation 
>  > protocol.  A QoS AAA protocol could be used between any 
> bearer-level 
>  > network element that lies along the path of an application 
> flow and 
>  > an application server that lies anywhere in the network, 
> allowing for 
>  > a wide variety of flexible service deployment models.
>  > 
>  > A URL for this Internet-Draft is:
>  > http://www.ietf.org/internet-drafts/draft-alfano-aaa-qosreq-00.txt
> 
> 
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Sat, 28 Jun 2003 10:44:05 +0200

hi john, 
hi pete, 

i have also seen your draft on the ietf announcement list and i will read it
as soon as possible. we tried to address various aspects of qos and
authorization (and also authorization for nat/firewall signaling) in the
past. we noticed the need for interworking between nsis and aaa (and
possibly other protocols). however, the working group needs to make some
decisions (see "QoS NSLP Authorization Issues" draft) before going into a
more solution oriented discussion. 

btw, i am only editor of the drafts. a number of nsis wg members have
contributed to the documents (see co-authors list).  

you might also want to take a look at a slide presentation given at the new
york interim meeting:

http://www.tschofenig.priv.at/nsis/NSIS_AAA.ppt

ciao
hannes

> From: [email-masked] [mailto:[email-masked]] 
> Sent: Samstag, 28. Juni 2003 08:33
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: RE: [AAA-WG]: [NSIS] I-D 
> ACTION:draft-alfano-aaa-qosreq-00.txt
> 
> 
> Hi Pete,
> 
> Question for you - NSIS will obviously need some AAA 
> interaction, not just for QoS, but for middle box traversal 
> (note, new NSIS charter has been announced).
> 
> It might be interesting to discuss this work in both AAA & 
> NSIS, but my feeling is that the AAA WG already has a lot to 
> do.  Perhaps you could work with Hannes to incorporate 
> aspects of the drafts together.  
> 
> thanks,
> John
> 
> http://www.ietf.org/internet-drafts/draft-> alfano-aaa-qosreq-00.txt
> > 
> > 
> > 
>